Skip to main content
GET
/
v2
/
tickets
/
{ticket_id}
/
messages
List Ticket Messages
curl --request GET \
  --url https://public.api.serval.com/v2/tickets/{ticket_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "user": {
        "id": "<string>",
        "email": "<string>"
      },
      "authorRole": "USER_ROLE",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "attachments": [
        {
          "id": "<string>",
          "name": "<string>",
          "contentType": "<string>",
          "url": "<string>"
        }
      ]
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticket_id
string
required

The ID of the ticket to list messages for.

Query Parameters

pageSize
integer<int32>

Maximum number of results to return.

pageToken
string

Token for pagination.

Response

Success

data
Message · object[]
nextPageToken
string | null